Issue #16696 has been updated by vo.x (Vit Ondruch).


But it will be back with OpenSSL 3.x, I am afraid.

----------------------------------------
Bug #16696: 'OpenSSL 1.1.1e  17 Mar 2020' causes failure in Ruby OpenSSL stdlib
https://bugs.ruby-lang.org/issues/16696#change-84819

* Author: MSP-Greg (Greg L)
* Status: Open
* Priority: Normal
* Backport: 2.5: UNKNOWN, 2.6: UNKNOWN, 2.7: UNKNOWN
----------------------------------------
Failure first appeared in ruby-loco MinGW build, also repo'd using OpenSSL CI testing on Ubuntu Ruby 2.7.0.

See:
https://github.com/ruby/openssl/runs/517945310#step:7:529

and MinGW build here:
https://github.com/ruby/ruby/runs/518138007#step:14:885

ruby-loco:
https://github.com/MSP-Greg/ruby-loco/runs/516963757?check_suite_focus=true#step:8:92

See issue:
https://github.com/ruby/openssl/issues/355




-- 
https://bugs.ruby-lang.org/

Unsubscribe: <mailto:ruby-core-request / ruby-lang.org?subject=unsubscribe>
<http://lists.ruby-lang.org/cgi-bin/mailman/options/ruby-core>